Subject: bug#22344: 25.0.50 (and 24.5.1, 24.4); Sending 4097 bytes to a subprocess hangs Emacs on Windows 8 and 10

From: Benjamin Schwehn <[email-masked]>
Date: Wed, 13 Jan 2016 21:20:09 +0100

Hi,

I reproduced the hang using the 64bit build at
http://emacsbinw64.sourceforge.net/

I used Clément's first example using jshint to repro.

I then built a 64bit version myself, using the instructions from

http://sourceforge.net/p/emacsbinw64/wiki/Build%20guideline%20for%20MSYS2-MinGW-w64%20system/

(on a Windows 7 x64 system).

Using the latest emacs-25 sources, I can now no longer reproduce the hang.

So it looks to me like the issue if fixed. But if there is interest, I
could rebuild using the last version without 58a622d to double-check
tomorrow that there is no other difference between my build and the
build from http://emacsbinw64.sourceforge.net/

Thanks a lot for the quick fix!
Ben